Full business verification
curl --request POST \
--url https://api.txcloud.io/v1/kyb/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": {
"name": "<string>",
"country": "<string>",
"registration_number": "<string>",
"tax_id": "<string>",
"address": {}
},
"checks": [
"<string>"
],
"include_documents": true,
"include_financials": true,
"screening": {
"screen_directors": true,
"screen_ubos": true,
"watchlists": [
"<string>"
]
}
}
'import requests
url = "https://api.txcloud.io/v1/kyb/verify"
payload = {
"company": {
"name": "<string>",
"country": "<string>",
"registration_number": "<string>",
"tax_id": "<string>",
"address": {}
},
"checks": ["<string>"],
"include_documents": True,
"include_financials": True,
"screening": {
"screen_directors": True,
"screen_ubos": True,
"watchlists": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: {
name: '<string>',
country: '<string>',
registration_number: '<string>',
tax_id: '<string>',
address: {}
},
checks: ['<string>'],
include_documents: true,
include_financials: true,
screening: {screen_directors: true, screen_ubos: true, watchlists: ['<string>']}
})
};
fetch('https://api.txcloud.io/v1/kyb/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"decision": {
"recommendation": "<string>",
"risk_level": "<string>",
"risk_score": 123
},
"company": {
"name": "<string>",
"legal_name": "<string>",
"registration_number": "<string>",
"tax_id": "<string>",
"legal_form": "<string>",
"status": "<string>",
"incorporation_date": "2023-12-25",
"country": "<string>",
"address": {},
"industry": {},
"capital": {}
},
"checks": {},
"directors": [
{}
],
"ubos": [
{}
]
}Verification
Full business verification
POST
/
kyb
/
verify
Full business verification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json